package Worlds 
{
	import Entities.Player;
	import Entities.testGround;
	import net.flashpunk.World;
	import Worlds.RotatableWorld;
	import net.flashpunk.utils.*;
	import net.flashpunk.FP;
	
	/**
	 * ...
	 * @author Mitzhawk
	 */
	public class Level extends RotatableWorld 
	{
		//rotate map 
		public static var upwards:Boolean = true;
		public static var statAngle:Number = 0;
		private var player:Player;
		public function Level() 
		{
			super();
			
		}
		override public function begin():void
		{
			//player = new Player(50, 370);
			//add(player);
			add(new Player(50, 100));
			add(new testGround(0, 400));
			add(new testGround(0, 10));
			add(new testGround(0, 0,2));
			add(new testGround(708, 0, 2));
			
		}
		override public function update():void
		{
			super.update();
			
			rotateTheWorld();
			
		}
		//lets rotate the world now
		public function rotateTheWorld():void
		{
			player = FP.world.getInstance("player");
			player.t.text = "cx: " + FP.screen.originX + " cy: " + FP.screen.originY;
			centerScreenAt(player.x, player.y);
			
			if (FP.screen.angle % 180 == 0) {
				
				if(Input.pressed(Key.SPACE)){
					upwards = !upwards;
					
					FP.screen.originX = player.x;
					FP.screen.originY = player.y;
					angle += 4;
				}
			}
			else{
				rotateMovement();
			}
			//statAngle = angle;
		}
		public function rotateMovement():void
		{
			angle += 4;
			
		}
	}

}